base image split
frdel committed
Jun 3, 2025 at 17:31 UTC
5170f98741f96921779940aaa205c1b00a63919a
5 files changed
+39
-18
docker/base/Dockerfile
+3
-1
@@ -19,7 +19,9 @@ ENV TZ=UTC
19
COPY ./fs/ /
20
21
# install packages software
22
-RUN bash /ins/install_base_packages.sh
22
+RUN bash /ins/install_base_packages1.sh
23
+RUN bash /ins/install_base_packages2.sh
24
+RUN bash /ins/install_base_packages3.sh
25
26
# install python after packages to ensure version overriding
27
RUN bash /ins/install_python.sh
docker/base/fs/ins/install_base_packages.sh
deleted
-17
@@ -1,17 +0,0 @@
1
-#!/bin/bash
2
-set -e
3
-
4
-echo "====================BASE PACKAGES START===================="
5
-
6
-apt-get update && apt-get upgrade -y
7
-
8
-apt-get install -y --no-install-recommends \
9
- nodejs npm openssh-server sudo curl wget git ffmpeg supervisor cron
10
-
11
-echo "====================BASE PACKAGES NPM===================="
12
-
13
-# we shall not install npx separately, it's discontinued and some versions are broken
14
-# npm i -g npx
15
-npm i -g shx
16
-
17
-echo "====================BASE PACKAGES END===================="
docker/base/fs/ins/install_base_packages1.sh
new
+11
@@ -0,0 +1,11 @@
1
+#!/bin/bash
2
+set -e
3
+
4
+echo "====================BASE PACKAGES1 START===================="
5
+
6
+apt-get update && apt-get upgrade -y
7
+
8
+apt-get install -y --no-install-recommends \
9
+ sudo curl wget git cron
10
+
11
+echo "====================BASE PACKAGES1 END===================="
docker/base/fs/ins/install_base_packages2.sh
new
+10
@@ -0,0 +1,10 @@
1
+#!/bin/bash
2
+set -e
3
+
4
+echo "====================BASE PACKAGES2 START===================="
5
+
6
+
7
+apt-get install -y --no-install-recommends \
8
+ openssh-server ffmpeg supervisor
9
+
10
+echo "====================BASE PACKAGES2 END===================="
docker/base/fs/ins/install_base_packages3.sh
new
+15
@@ -0,0 +1,15 @@
1
+#!/bin/bash
2
+set -e
3
+
4
+echo "====================BASE PACKAGES3 START===================="
5
+
6
+apt-get install -y --no-install-recommends \
7
+ nodejs npm
8
+
9
+echo "====================BASE PACKAGES3 NPM===================="
10
+
11
+# we shall not install npx separately, it's discontinued and some versions are broken
12
+# npm i -g npx
13
+npm i -g shx
14
+
15
+echo "====================BASE PACKAGES3 END===================="